import type { _EKObject } from "./EKObject.js";
import type { _NSSet } from "../Foundation/NSSet.js";
import type { _NSString } from "../Foundation/NSString.js";
import type { EKEntityType } from "./EKEntityType.js";
import type { EKSourceType } from "./EKSourceType.js";
export declare class _EKSource extends _EKObject {
    static alloc(): _EKSource;
    static new(): _EKSource;
    init(): _EKSource;
    /**
     * @method calendarsForEntityType @abstract Returns the calendars that belong to this source that support a given entity type (reminders, events)
     */
    calendarsForEntityType$(entityType: EKEntityType): _NSSet;
    sourceIdentifier(): _NSString;
    sourceType(): EKSourceType;
    /** @deprecated */
    title(): _NSString;
    /**
     * @property calendars @abstract This is now deprecated in favor of -[EKSource calendarsForEntityType:]
     * @deprecated
     */
    calendars(): _NSSet;
    /**
     * @property isDelegate @abstract Returns YES if this EKSource represents an account delegated by another user.
     */
    isDelegate(): boolean;
}
